HaruPage::curveTo3
HaruPage::drawImage
HaruPage
PHP Manual

# HaruPage::curveTo

(PECL haru:0.0.1)

HaruPage::curveTo — Append a Bezier curve to the current path

### Description

bool HaruPage::curveTo ( float `$x1` , float `$y1` , float `$x2` , float `$y2` , float `$x3` , float `$y3` )

Append a Bezier curve to the current path. The point (x1, y1) and the point (x2, y2) are used as the control points for a Bezier curve and current point is moved to the point (x3, y3).

### Parameters

`x1`

  A Bezier curve control point.

`y1`

  A Bezier curve control point.

`x2`

  A Bezier curve control point.

`y2`

  A Bezier curve control point.

`x3`

  The current point moves here.

`x3`

  The current point moves here.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws HaruException on error.

HaruPage::curveTo3
HaruPage::drawImage
HaruPage
PHP Manual